Page MenuHomePhabricator

rhg: add `--revision` argument to `rhg files`
ClosedPublic

Authored by acezar on Sep 11 2020, 3:53 AM.

Details

Summary

Add the option to list the tracked files of a revision given its number
or full node id.

Benched on a clone of moz-central
where tip is 1671467:81deaa1a68ebb28db0490954034ab38ab269409d

files -r 81deaa1a68ebb28db0490954034ab38ab269409d > out.txt
hg 0m1.633s
rhg 0m0.157s

files -r 81deaa1a68ebb28db0490954034ab38ab269409d > /dev/null
hg 0m0.415s
rhg 0m0.143s

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Sep 11 2020, 3:53 AM
Alphare accepted this revision.Sep 17 2020, 6:28 AM

Maybe adding some performance numbers in the commit message would be useful and motivating, seeing as it is very fast.

acezar updated this revision to Diff 22726.Sep 18 2020, 10:49 AM
acezar edited the summary of this revision. (Show Details)Sep 18 2020, 11:30 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.